summary refs log tree commit diff
diff options
context:
space:
mode:
-rw-r--r--.gitignore1
-rw-r--r--Makefile18
-rwxr-xr-xconfigure11
3 files changed, 29 insertions, 1 deletions
diff --git a/.gitignore b/.gitignore
index 6c4605b..9d35820 100644
--- a/.gitignore
+++ b/.gitignore
@@ -1 +1,2 @@
+config.mk
 scooper
diff --git a/Makefile b/Makefile
index ce4cdcf..94ca089 100644
--- a/Makefile
+++ b/Makefile
@@ -1,4 +1,20 @@
+PREFIX ?= ~/.local
+MANDIR ?= ${PREFIX}/share/man
+
 CFLAGS += -std=c11 -Wall -Wextra -Wpedantic
-LDLIBS = -lsqlite3 -lkcgi -lkcgihtml -lz
+LDLIBS = -lkcgi -lkcgihtml -lsqlite3
+
+-include config.mk
 
 scooper:
+
+clean:
+	rm -f scooper
+
+install: scooper scooper.1
+	install -d ${PREFIX}/bin ${MANDIR}/man1
+	install scooper ${PREFIX}/bin
+	install -m 644 scooper.1 ${MANDIR}/man1
+
+uninstall:
+	rm -f ${PREFIX}/bin/scooper ${MANDIR}/man1/scooper.1
diff --git a/configure b/configure
new file mode 100755
index 0000000..9cea63b
--- /dev/null
+++ b/configure
@@ -0,0 +1,11 @@
+#!/bin/sh
+set -eu
+
+libs='kcgi kcgi-html sqlite3'
+pkg-config --print-errors $libs
+
+cat >config.mk <<EOF
+CFLAGS += $(pkg-config --static --cflags $libs)
+LDFLAGS += -static $(pkg-config --static --libs-only-L $libs)
+LDLIBS = $(pkg-config --static --libs-only-l $libs)
+EOF
2020-01-05Add The Book of FloraJune McEnroe Also bump the rating of the previous book, I enjoyed both of them a lot more than the first one. 2020-01-04Replace gr alias with git resetJune McEnroe I haven't been doing much rebasing in a long time and I've caught myself trying to use gr to do reset. 2020-01-03Remove shotty -c flag from upJune McEnroe 2020-01-03Add Darling Don't CryJune McEnroe Heard at cafe. 2020-01-01Update license header templates for the new yearJune McEnroe 2019-12-26Add \S to sort inside bracesJune McEnroe 2019-12-23Reformat music.txtJune McEnroe 2019-12-23Rename music.md to music.txtJune McEnroe 2019-12-23Add DO YOU DOUBT ME TRAITORJune McEnroe 2019-12-22Add license header to cgit CSSJune McEnroe As requested. Funny that its license header capitalizes You. 2019-12-22Add The Book of EttaJune McEnroe 2019-12-21Revert "Add first working version of imbox"June McEnroe Moved to <https://git.causal.agency/imbox>. This reverts commit 7ff5f3fd826e313ce8353a532bdfa4989dc946dc. 2019-12-21Add first working version of imboxJune McEnroe 2019-12-20Respect mailmap in gl pretty formatJune McEnroe 2019-12-20Set LANG in cgit filtersJune McEnroe ttpre needs to know about UTF-8 too so it can bold/italic non-ASCII chars. 2019-12-20Source .editrc before applying -v or -eJune McEnroe Otherwise a bind -v in .editrc will take precedence and overwrite the ^I binding for sh-complete. 2019-12-20Disable signing commitsJune McEnroe Why did I ever turn this on? This gets me nothing but inconvenience. RIP to all the wasted bytes in my git repos. 2019-12-19Ignore about-filterJune McEnroe 2019-12-19Fix matching make tags with no sourcesJune McEnroe 2019-12-19Avoid matching := assignments as tagsJune McEnroe 2019-12-18Hide line numbers when rendering mdocJune McEnroe Hack: output an extra <td> after rendering mdoc so that line numbers can be hidden based on there being three. This required splitting source-filter and about-filter since on about pages there is no table. 2019-12-18Customize cgit CSSJune McEnroe 2019-12-18Use :target rather than :focus pseudo-classJune McEnroe :target persists after you click on something else. 2019-12-18Copy cgit auxiliary binaries properlyJune McEnroe 2019-12-18Add git.causal.agency cgit configJune McEnroe 2019-12-18Bail from hi if input is binaryJune McEnroe NULs in the input cause an infinite loop in htmlEscape, not to mention regexes obviously not working, etc. 2019-12-16Post "cgit setup"June McEnroe